View Issue Details

IDProjectCategoryView StatusLast Update
0001574FreeCADMerge requestpublic2014-07-29 20:48
Reportershoogen Assigned Towmayer  
PrioritylowSeverityblockReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.15 
Summary0001574: Patch SMESH to work against new NCollection
Descriptionhttp://tracker.dev.opencascade.org/view.php?id=24911#c29727
TagsSMESH
FreeCAD Information

Relationships

related to 0001645 closed Patch build system to use system smesh 
child of 0001573 closedshoogen migration to OCCT 6.8.0 

Activities

shoogen

2014-06-09 13:45

developer   ~0004747

Is this a regression?
Program received signal SIGSEGV, Segmentation fault.
0x00007fff88264751 in aptrte (nutysu=1, aretmx=0.95238016225325661, nblf=1,
    nudslf=0x1cbf2d0, uvslf=0x1e086b0, nbpti=0, uvpti=0x0,
    nbst=@0x7fffffff99c8: 140737488329776, uvst=@0x7fffffff99c0: 0x0,
    nbt=@0x7fffffff99b8: 140735486556510, nust=@0x7fffffff99b0: 0x0,
    ierr=@0x7fffffff99a8: 0)
    at src/3rdParty/salomesmesh/src/MEFISTO2/aptrte.cpp:332
332 mnsoar[ mosoar * noar0 - mosoar + 5 ] = noar;


#0 0x00007fff88264751 in aptrte (nutysu=1, aretmx=0.95238016225325661,
    nblf=1, nudslf=0x1cbf2d0, uvslf=0x1e086b0, nbpti=0, uvpti=0x0,
    nbst=@0x7fffffff99c8: 140737488329776, uvst=@0x7fffffff99c0: 0x0,
    nbt=@0x7fffffff99b8: 140735486556510, nust=@0x7fffffff99b0: 0x0,
    ierr=@0x7fffffff99a8: 0)
    at src/3rdParty/salomesmesh/src/MEFISTO2/aptrte.cpp:332
#1 0x00007fff885f4dd6 in StdMeshers_MEFISTO_2D::Compute (this=0x47585c0,
    aMesh=..., aShape=...)
    at src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_MEFISTO_2D.cpp:264
0000002 0x00007fff87bcc9ee in SMESH_subMesh::ComputeStateEngine (this=0x47589b0,
    event=1)
    at src/3rdParty/salomesmesh/src/SMESH/SMESH_subMesh.cpp:1373
0000003 0x00007fff87c203a1 in SMESH_Gen::Compute (this=0x4752ca0, aMesh=...,
    aShape=..., anUpward=true, aDim=MeshDim_3D, aShapesId=0x0)
    at src/3rdParty/salomesmesh/src/SMESH/SMESH_Gen.cpp:173
0000004 0x00007fff87c20ada in SMESH_Gen::Compute (this=0x4752ca0, aMesh=...,
    aShape=..., anUpward=false, aDim=MeshDim_3D, aShapesId=0x0)
    at src/3rdParty/salomesmesh/src/SMESH/SMESH_Gen.cpp:283
0000005 0x00007fff888c2746 in MeshPart::Mesher::createMesh (this=0x7fffffffab90)
    at src/Mod/MeshPart/App/Mesher.cpp:217
0000006 0x00007fff888ae724 in meshFromShape (self=0x0, args=(), kwds=
    {'Shape': <Part.TopoShape at remote 0x4752c68>, 'MaxLength': 1})
    at /home/sebastian/free-cad/src/Mod/MeshPart/App/AppMeshPartPy.cpp:152
0000007 0x00007ffff60ca1a0 in do_call (nk=<optimized out>, na=<optimized out>,
    pp_stack=0x7fffffffafd0, func=<built-in function meshFromShape>)
    at ../Python/ceval.c:4236
0000008 call_function (oparg=<optimized out>, pp_stack=0x7fffffffafd0)
    at ../Python/ceval.c:4044
0000009 PyEval_EvalFrameEx (f=f@entry=
    Frame 0x456b4c0, for file <string>, line 3, in <module> (),
    throwflag=throwflag@entry=0) at ../Python/ceval.c:2666

shoogen

2014-06-21 11:15

developer   ~0004759

noar0 was out of bonds

shoogen

2014-06-23 15:54

developer   ~0004766

Last edited: 2014-06-27 12:58

View 2 revisions

0x1500000001
It seems like noar0 was modified by Fortran code.

shoogen

2014-07-17 13:57

developer   ~0004810

http://git.dev.opencascade.org/gitweb/?p=occt.git;a=shortlog;h=refs/heads/CR25064

shoogen

2014-07-18 13:49

developer   ~0004811

git://github.com/5263/FreeCAD.git dev-SMESH-NCollection

Related Changesets

FreeCAD: master f7193ca6

2014-06-06 10:14:36

shoogen


Committer: wmayer Details Diff
Adapt SMESH to new OCCT NCollection templates Affected Issues
0001574
mod - src/3rdParty/salomesmesh/inc/SMESH_IndexedDataMapOfShapeIndexedMapOfShape.hxx Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_MeshEditor.hxx Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_SequenceOfElemPtr.hxx Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_SequenceOfNode.hxx Diff File
mod - src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_Quadrangle_2D.cpp Diff File

FreeCAD: master 86a69f83

2014-07-20 17:45:54

wmayer

Details Diff
Merge branch 'master' of ssh://git.code.sf.net/p/free-cad/code Affected Issues
0001574
mod - CMakeLists.txt Diff File
mod - cMake/FindOpenCasCade.cmake Diff File
mod - src/3rdParty/salomesmesh/Makefile.am Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_IndexedDataMapOfShapeIndexedMapOfShape.hxx Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_MeshEditor.hxx Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_SequenceOfElemPtr.hxx Diff File
mod - src/3rdParty/salomesmesh/inc/SMESH_SequenceOfNode.hxx Diff File
mod - src/3rdParty/salomesmesh/src/StdMeshers/StdMeshers_Quadrangle_2D.cpp Diff File
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchSpace.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File

Issue History

Date Modified Username Field Change
2014-06-06 07:16 shoogen New Issue
2014-06-06 07:16 shoogen Status new => assigned
2014-06-06 07:16 shoogen Assigned To => shoogen
2014-06-06 07:16 shoogen Relationship added child of 0001573
2014-06-06 07:17 shoogen Tag Attached: SMESH
2014-06-09 13:45 shoogen Note Added: 0004747
2014-06-21 11:15 shoogen Note Added: 0004759
2014-06-23 15:54 shoogen Note Added: 0004766
2014-06-27 12:58 shoogen Note Edited: 0004766 View Revisions
2014-07-17 13:57 shoogen Note Added: 0004810
2014-07-18 13:49 shoogen Note Added: 0004811
2014-07-19 09:31 shoogen Assigned To shoogen => wmayer
2014-07-19 09:31 shoogen Category Feature => Merge request
2014-07-19 10:54 shoogen Status assigned => closed
2014-07-19 10:54 shoogen Resolution open => fixed
2014-07-19 10:54 shoogen Fixed in Version => 0.15
2014-07-19 11:03 shoogen Changeset attached => FreeCAD Master master f7193ca6
2014-07-21 10:23 wmayer Changeset attached => FreeCAD Master master 86a69f83
2014-07-29 20:48 shoogen Relationship added related to 0001645